summaryrefslogtreecommitdiffstats
path: root/graphics/GraphicsMagick
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/GraphicsMagick')
-rw-r--r--graphics/GraphicsMagick/GraphicsMagick.SlackBuild24
-rw-r--r--graphics/GraphicsMagick/GraphicsMagick.info6
-rw-r--r--graphics/GraphicsMagick/README3
3 files changed, 19 insertions, 14 deletions
diff --git a/graphics/GraphicsMagick/GraphicsMagick.SlackBuild b/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
index 97c5cbcc52..cac6bcf307 100644
--- a/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
+++ b/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
@@ -8,6 +8,9 @@
# MIA. Original version had no license; I'm licensing the update under the
# terms of the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+# 20231108 bkw: update for v1.3.42.
+# 20230710 bkw: update for v1.3.40.
+# 20230105 bkw: update for v1.3.39, using sourceforge link again.
# 20210910 bkw: update for v1.3.36.
# 20201019 bkw: update for v1.3.35.
# 20200111 bkw: update for v1.3.34, quit using sourceforge dl link.
@@ -45,8 +48,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=GraphicsMagick
-VERSION=${VERSION:-1.3.36}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.3.42}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -228,27 +231,26 @@ if [ "${TCL:-yes}" = "yes" ]; then
WITHTCL=WITH
cd -
- rename .la_renamed .la $PKG/usr/lib$LIBDIRSUFFIX/*.la_renamed
fi
### Done with tcl module
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+gzip -9 $PKG/usr/man/man*/*
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+rm -f $PKG/usr/lib*/*.la* $PKG/usr/lib*/Tcl*/*.la
+
+find $PKG/usr/lib* $PKG/usr/bin -type f -print0 | \
+ xargs -0 file -m /etc/file/magic/elf | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
find $PKG -name perllocal.pod \
-o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
+ -o -name "*.bs" | \
+ xargs rm -rf || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a ChangeLog *.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-rm -f $PKG/usr/lib*/*.la
-
mkdir -p $PKG/install
sed \
-e "s,@WITHOMP@,$WITHOMP," \
diff --git a/graphics/GraphicsMagick/GraphicsMagick.info b/graphics/GraphicsMagick/GraphicsMagick.info
index 76f1603523..2e80988001 100644
--- a/graphics/GraphicsMagick/GraphicsMagick.info
+++ b/graphics/GraphicsMagick/GraphicsMagick.info
@@ -1,8 +1,8 @@
PRGNAM="GraphicsMagick"
-VERSION="1.3.36"
+VERSION="1.3.42"
HOMEPAGE="http://www.graphicsmagick.org/"
-DOWNLOAD="https://ftp.icm.edu.pl/pub/unix/graphics/GraphicsMagick/1.3/GraphicsMagick-1.3.36.tar.xz"
-MD5SUM="3e936b42fd46fb460016f91c1a239e33"
+DOWNLOAD="https://downloads.sourceforge.net/project/graphicsmagick/graphicsmagick/1.3.42/GraphicsMagick-1.3.42.tar.xz"
+MD5SUM="68c8d23aaa2dbed1e1adfab7b5e28096"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/graphics/GraphicsMagick/README b/graphics/GraphicsMagick/README
index 6d8b001534..62b6b38931 100644
--- a/graphics/GraphicsMagick/README
+++ b/graphics/GraphicsMagick/README
@@ -29,3 +29,6 @@ dcraw (Raw camera files, various filename extensions)
hp2xx (HP-GL plotter language, .hp and .hpg)
ralcgm (Computer Graphics Metafile, .cgm)
libfpx (FlashPix, .fpx)
+graphviz (.dot digraph files)
+libjxl (.jxl, JPEG XL)
+libheif and libde265 (.heif .heifs .heic .heics .avci .avcs .avif .hif)